Package com.io7m.jregions.core.unparameterized.sizes

# Class AreaSizeF.Builder

java.lang.Object
com.io7m.jregions.core.unparameterized.sizes.AreaSizeFType.Builder
com.io7m.jregions.core.unparameterized.sizes.AreaSizeF.Builder

Enclosing class:
  AreaSizeF

    public static final class AreaSizeF.Builder
    extends AreaSizeFType.Builder

Builds instances of type `AreaSizeF`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `AreaSizeF` | `build()` | Builds a new `AreaSizeF`.
  `AreaSizeF.Builder` | `from​(AreaSizeFType instance)` | Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.sizes.AreaSizeFType` instance.
  `AreaSizeF.Builder` | `from​(AreaSizeValuesFType instance)` | Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.sizes.AreaSizeValuesFType` instance.
  `AreaSizeF.Builder` | `setSizeX​(float sizeX)` | Initializes the value for the `sizeX` attribute.
  `AreaSizeF.Builder` | `setSizeY​(float sizeY)` | Initializes the value for the `sizeY` attribute.

  ### Methods inherited from class com.io7m.jregions.core.unparameterized.sizes.AreaSizeFType.Builder

  `setHeight, setWidth`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final AreaSizeF.Builder from​(AreaSizeValuesFType instance)
    Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.sizes.AreaSizeValuesFType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### from

    public final AreaSizeF.Builder from​(AreaSizeFType instance)
    Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.sizes.AreaSizeFType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setSizeX

    public final AreaSizeF.Builder setSizeX​(float sizeX)
    Initializes the value for the `sizeX` attribute.
    Parameters:
      `sizeX` - The value for sizeX
    Returns:
      `this` builder for use in a chained invocation

  - ### setSizeY

    public final AreaSizeF.Builder setSizeY​(float sizeY)
    Initializes the value for the `sizeY` attribute.
    Parameters:
      `sizeY` - The value for sizeY
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public AreaSizeF build()
    Builds a new `AreaSizeF`.
    Returns:
      An immutable instance of AreaSizeF
    Throws:
      `java.lang.IllegalStateException` - if any required attributes are missing